###############################################################################
# Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

diff --git a/nls/iso8859-2/Compose.pre b/nls/iso8859-2/Compose.pre
index 876e82c..947dace 100644
--- a/nls/iso8859-2/Compose.pre
+++ b/nls/iso8859-2/Compose.pre
@@ -1,535 +1,719 @@
+XCOMM   Compose keys configuration file for
+XCOMM   Czech, Hungarian and Polish SMCC localizations[turlough]
+XCOMM   Copyright (c) 1994, Oracle and/or its affiliates. All rights reserved.
+XCOMM------------------------------------------------------------------------------
+
+XCOMM ISO 8859-2 (Latin2) Czech/Polish/Hungarian  Compose Sequence
 XCOMM
-XCOMM ISO 8859-2 (Latin2) Compose Sequence
-XCOMM
-XCOMM
+
+XCOMM There are a number of multikeys used in these locales that the user needs
+XCOMM needs to be aware of to produce cz/pl/hu extended characters
+XCOMM on a US keyboard, these are as follows :
+XCOMM 	diaeresis = quotedbl
+XCOMM 	caron = v  e.g. <compose> + E + v = Ecaron
+XCOMM 	breve = u
+XCOMM 	ogonek = a
+XCOMM 	doubleacute = greater
+XCOMM       multi_key + 0 + x = currency
+XCOMM The first mappings in the Compose file are for the keys
+XCOMM present physically on the keyboard itself, these are mapped to
+XCOMM themselves to ensure Xlib displays them - without this, a default
+XCOMM mapping to an iso1 code-point may occur
+
+
 XCOMM Sequence Definition
 XCOMM
 XCOMM <Multi_key> Means <Compose>
 XCOMM Special Character
-<Multi_key> <plus> <plus>		: "#"	numbersign
-<Multi_key> <apostrophe> <space>	: "'"	apostrophe
-<Multi_key> <space> <apostrophe>	: "'"	apostrophe
-<Multi_key> <A> <A>			: "@"	at
-<Multi_key> <parenleft> <parenleft>	: "["	bracketleft
-<Multi_key> <slash> <slash>		: "\\"	backslash
-<Multi_key> <slash> <less>		: "\\"	backslash
-<Multi_key> <less> <slash>		: "\\"	backslash
-<Multi_key> <parenright> <parenright>	: "]"	bracketright
-<Multi_key> <asciicircum> <space>	: "^"	asciicircum
-<Multi_key> <space> <asciicircum>	: "^"	asciicircum
-<Multi_key> <greater> <space>		: "^"	asciicircum
-<Multi_key> <space> <greater>		: "^"	asciicircum
-<Multi_key> <grave> <space>		: "`"	grave
-<Multi_key> <space> <grave>		: "`"	grave
-<Multi_key> <parenleft> <minus>		: "{"	braceleft
-<Multi_key> <minus> <parenleft>		: "{"	braceleft
-<Multi_key> <slash> <asciicircum>	: "|"	bar
-<Multi_key> <asciicircum> <slash>	: "|"	bar
-<Multi_key> <V> <L>			: "|"	bar
-<Multi_key> <L> <V>			: "|"	bar
-<Multi_key> <v> <l>			: "|"	bar
-<Multi_key> <l> <v>			: "|"	bar
-<Multi_key> <parenright> <minus>	: "}"	braceright
-<Multi_key> <minus> <parenright>	: "}"	braceright
-<Multi_key> <asciitilde> <space>	: "~"	asciitilde
-<Multi_key> <space> <asciitilde>	: "~"	asciitilde
-<Multi_key> <minus> <space>		: "~"	asciitilde
-<Multi_key> <space> <minus>		: "~"	asciitilde
-<Multi_key> <x> <o>			: "\244"	currency
-<Multi_key> <o> <x>			: "\244"	currency
-<Multi_key> <X> <O>			: "\244"	currency
-<Multi_key> <O> <X>			: "\244"	currency
-<Multi_key> <x> <O>			: "\244"	currency
-<Multi_key> <O> <x>			: "\244"	currency
-<Multi_key> <X> <o>			: "\244"	currency
-<Multi_key> <o> <X>			: "\244"	currency
-<Multi_key> <x> <0>			: "\244"	currency
-<Multi_key> <0> <x>			: "\244"	currency
-<Multi_key> <X> <0>			: "\244"	currency
-<Multi_key> <0> <X>			: "\244"	currency
-<Multi_key> <p> <exclam>		: "\266"	paragraph
-<Multi_key> <exclam> <p>		: "\266"	paragraph
-<Multi_key> <P> <exclam>		: "\266"	paragraph
-<Multi_key> <exclam> <P>		: "\266"	paragraph
-XCOMM Right-hand side (Accented Alphabet)
-XCOMM These compose sequences are pure supposition on my part.
-XCOMM It would be nice to know what the real cultural conventions
-XCOMM are for compose sequences.
-<Multi_key> <A> <comma>			: "\241"	Aogonek
-<Multi_key> <comma> <A>			: "\241"	Aogonek
-<Multi_key> <A> <ogonek>		: "\241"	Aogonek
-<Multi_key> <ogonek> <A>		: "\241"	Aogonek
-<Multi_key> <U> <space>			: "\242"	breve
-<Multi_key> <L> <minus>			: "\243"	Lstroke
-<Multi_key> <L> <less>			: "\245"	Lcaron
-<Multi_key> <less> <L>			: "\245"	Lcaron
-<Multi_key> <L> <caron>			: "\245"	Lcaron
-<Multi_key> <caron> <L>			: "\245"	Lcaron
-<Multi_key> <S> <apostrophe>		: "\246"	Sacute
-<Multi_key> <apostrophe> <S>		: "\246"	Sacute
-<Multi_key> <S> <acute>			: "\246"	Sacute
-<Multi_key> <acute> <S>			: "\246"	Sacute
-<Multi_key> <s> <o>			: "\247"	section
-<Multi_key> <o> <s>			: "\247"	section
-<Multi_key> <S> <O>			: "\247"	section
-<Multi_key> <O> <S>			: "\247"	section
-<Multi_key> <S> <exclam>		: "\247"	section
-<Multi_key> <exclam> <S>		: "\247"	section
-<Multi_key> <s> <exclam>		: "\247"	section
-<Multi_key> <exclam> <s>		: "\247"	section
-<Multi_key> <S> <0>			: "\247"	section
-<Multi_key> <0> <S>			: "\247"	section
-<Multi_key> <s> <0>			: "\247"	section
-<Multi_key> <0> <s>			: "\247"	section
-<Multi_key> <quotedbl> <quotedbl>	: "\250"	diaeresis
-<Multi_key> <S> <less>			: "\251"	Scaron
-<Multi_key> <less> <S>			: "\251"	Scaron
-<Multi_key> <S> <caron>			: "\251"	Scaron
-<Multi_key> <caron> <S>			: "\251"	Scaron
-<Multi_key> <S> <comma>			: "\252"	Scedilla
-<Multi_key> <comma> <S>			: "\252"	Scedilla
-<Multi_key> <S> <cedilla>		: "\252"	Scedilla
-<Multi_key> <cedilla> <S>		: "\252"	Scedilla
-<Multi_key> <T> <less>			: "\253"	Tcaron
-<Multi_key> <less> <T>			: "\253"	Tcaron
-<Multi_key> <T> <caron>			: "\253"	Tcaron
-<Multi_key> <caron> <T>			: "\253"	Tcaron
-<Multi_key> <Z> <apostrophe>		: "\254"	Zacute
-<Multi_key> <apostrophe> <Z>		: "\254"	Zacute
-<Multi_key> <Z> <acute>			: "\254"	Zacute
-<Multi_key> <acute> <Z>			: "\254"	Zacute
-<Multi_key> <minus> <minus>		: "\255"	hyphen
-<Multi_key> <Z> <less>			: "\256"	Zcaron
-<Multi_key> <less> <Z>			: "\256"	Zcaron
-<Multi_key> <Z> <caron>			: "\256"	Zcaron
-<Multi_key> <caron> <Z>			: "\256"	Zcaron
-<Multi_key> <Z> <period>		: "\257"	Zabovedot
-<Multi_key> <0> <asterisk>		: "\260"	degree
-<Multi_key> <asterisk> <0>		: "\260"	degree
-<Multi_key> <a> <comma>			: "\261"	aogonek
-<Multi_key> <comma> <a>			: "\261"	aogonek
-<Multi_key> <a> <ogonek>		: "\261"	aogonek
-<Multi_key> <ogonek> <a>		: "\261"	aogonek
-<Multi_key> <l> <minus>			: "\263"	lstroke
-<Multi_key> <l> <less>			: "\265"	lcaron
-<Multi_key> <less> <l>			: "\265"	lcaron
-<Multi_key> <l> <caron>			: "\265"	lcaron
-<Multi_key> <caron> <l>			: "\265"	lcaron
-<Multi_key> <s> <apostrophe>		: "\266"	sacute
-<Multi_key> <apostrophe> <s>		: "\266"	sacute
-<Multi_key> <s> <acute>			: "\266"	sacute
-<Multi_key> <acute> <s>			: "\266"	sacute
-<Multi_key> <less> <less>		: "\267"	caron
-<Multi_key> <comma> <comma>		: "\270"        cedilla
-<Multi_key> <s> <less>			: "\271"	scaron
-<Multi_key> <less> <s>			: "\271"	scaron
-<Multi_key> <s> <caron>			: "\271"	scaron
-<Multi_key> <caron> <s>			: "\271"	scaron
-<Multi_key> <s> <comma>			: "\272"	scedilla
-<Multi_key> <comma> <s>			: "\272"	scedilla
-<Multi_key> <s> <cedilla>		: "\272"	scedilla
-<Multi_key> <cedilla> <s>		: "\272"	scedilla
-<Multi_key> <t> <less>			: "\273"	tcaron
-<Multi_key> <less> <t>			: "\273"	tcaron
-<Multi_key> <t> <caron>			: "\273"	tcaron
-<Multi_key> <caron> <t>			: "\273"	tcaron
-<Multi_key> <z> <apostrophe>		: "\274"	zacute
-<Multi_key> <apostrophe> <z>		: "\274"	zacute
-<Multi_key> <z> <acute>			: "\274"	zacute
-<Multi_key> <acute> <z>			: "\274"	zacute
-<Multi_key> <apostrophe> <apostrophe> <space>	: "\275"	doubleacute
-<Multi_key> <acute> <acute> <space>		: "\275"	doubleacute
-<Multi_key> <z> <less>			: "\276"	zcaron
-<Multi_key> <less> <z>			: "\276"	zcaron
-<Multi_key> <z> <caron>			: "\276"	zcaron
-<Multi_key> <caron> <z>			: "\276"	zcaron
-<Multi_key> <z> <period>		: "\277"	zabovedot
-<Multi_key> <R> <acute>			: "\300"	Racute
-<Multi_key> <acute> <R>			: "\300"	Racute
-<Multi_key> <R> <apostrophe>		: "\300"	Racute
-<Multi_key> <apostrophe> <R>		: "\300"	Racute
-<Multi_key> <A> <acute>			: "\301"	Aacute
-<Multi_key> <acute> <A>			: "\301"	Aacute
-<Multi_key> <A> <apostrophe>		: "\301"	Aacute
-<Multi_key> <apostrophe> <A>		: "\301"	Aacute
-<Multi_key> <A> <asciicircum>		: "\302"	Acircumflex
-<Multi_key> <asciicircum> <A>		: "\302"	Acircumflex
-<Multi_key> <A> <greater>		: "\302"	Acircumflex
-<Multi_key> <greater> <A>		: "\302"	Acircumflex
-<Multi_key> <A> <U>			: "\303"	Abreve
-<Multi_key> <A> <breve>			: "\303"	Abreve
-<Multi_key> <breve> <A>			: "\303"	Abreve
-<Multi_key> <A> <quotedbl>		: "\304"	Adiaeresis
-<Multi_key> <quotedbl> <A>		: "\304"	Adiaeresis
-<Multi_key> <L> <acute>			: "\305"	Lacute
-<Multi_key> <acute> <L>			: "\305"	Lacute
-<Multi_key> <L> <apostrophe>		: "\305"	Lacute
-<Multi_key> <apostrophe> <L>		: "\305"	Lacute
-<Multi_key> <C> <acute>			: "\306"	Cacute
-<Multi_key> <acute> <C>			: "\306"	Cacute
-<Multi_key> <C> <apostrophe>		: "\306"	Cacute
-<Multi_key> <apostrophe> <C>		: "\306"	Cacute
-<Multi_key> <C> <comma>			: "\307"	Ccedilla
-<Multi_key> <comma> <C>			: "\307"	Ccedilla
-<Multi_key> <C> <cedilla>		: "\307"	Ccedilla
-<Multi_key> <cedilla> <C>		: "\307"	Ccedilla
-<Multi_key> <C> <less>			: "\310"	Ccaron
-<Multi_key> <less> <C>			: "\310"	Ccaron
-<Multi_key> <C> <caron>			: "\310"	Ccaron
-<Multi_key> <caron> <C>			: "\310"	Ccaron
-<Multi_key> <E> <acute>			: "\311"	Eacute
-<Multi_key> <acute> <E>			: "\311"	Eacute
-<Multi_key> <E> <apostrophe>		: "\311"	Eacute
-<Multi_key> <apostrophe> <E>		: "\311"	Eacute
-<Multi_key> <E> <comma>			: "\312"	Eogonek
-<Multi_key> <comma> <E>			: "\312"	Eogonek
-<Multi_key> <E> <ogonek>		: "\312"	Eogonek
-<Multi_key> <ogonek> <E>		: "\312"	Eogonek
-<Multi_key> <E> <quotedbl>		: "\313"	Ediaeresis
-<Multi_key> <quotedbl> <E>		: "\313"	Ediaeresis
-<Multi_key> <E> <less>			: "\314"	Ecaron
-<Multi_key> <less> <E>			: "\314"	Ecaron
-<Multi_key> <E> <caron>			: "\314"	Ecaron
-<Multi_key> <caron> <E>			: "\314"	Ecaron
-<Multi_key> <I> <acute>			: "\315"	Iacute
-<Multi_key> <acute> <I>			: "\315"	Iacute
-<Multi_key> <I> <apostrophe>		: "\315"	Iacute
-<Multi_key> <apostrophe> <I>		: "\315"	Iacute
-<Multi_key> <I> <asciicircum>		: "\316"	Icircumflex
-<Multi_key> <asciicircum> <I>		: "\316"	Icircumflex
-<Multi_key> <I> <greater>		: "\316"	Icircumflex
-<Multi_key> <greater> <I>		: "\316"	Icircumflex
-<Multi_key> <D> <less>			: "\317"	Dcaron
-<Multi_key> <less> <D>			: "\317"	Dcaron
-<Multi_key> <D> <caron>			: "\317"	Dcaron
-<Multi_key> <caron> <D>			: "\317"	Dcaron
-<Multi_key> <D> <minus>			: "\320"	Dstroke
-<Multi_key> <minus> <D>			: "\320"	Dstroke
-<Multi_key> <N> <acute>			: "\321"	Nacute
-<Multi_key> <acute> <N>			: "\321"	Nacute
-<Multi_key> <N> <apostrophe>		: "\321"	Nacute
-<Multi_key> <apostrophe> <N>		: "\321"	Nacute
-<Multi_key> <N> <less>			: "\322"	Ncaron
-<Multi_key> <less> <N>			: "\322"	Ncaron
-<Multi_key> <N> <caron>			: "\322"	Ncaron
-<Multi_key> <caron> <N>			: "\322"	Ncaron
-<Multi_key> <O> <acute>			: "\323"	Oacute
-<Multi_key> <acute> <O>			: "\323"	Oacute
-<Multi_key> <O> <apostrophe>		: "\323"	Oacute
-<Multi_key> <apostrophe> <O>		: "\323"	Oacute
-<Multi_key> <O> <asciicircum>		: "\324"	Ocircumflex
-<Multi_key> <asciicircum> <O>		: "\324"	Ocircumflex
-<Multi_key> <O> <greater>		: "\324"	Ocircumflex
-<Multi_key> <greater> <O>		: "\324"	Ocircumflex
-<Multi_key> <apostrophe> <apostrophe> <O>	: "\325"	Odoubleacute
-<Multi_key> <acute> <acute> <O>		: "\325"	Odoubleacute
-<Multi_key> <O> <quotedbl>		: "\326"	Odiaeresis
-<Multi_key> <quotedbl> <O>		: "\326"	Odiaeresis
-<Multi_key> <x> <x>			: "\327"	multiply
-<Multi_key> <R> <less>			: "\330"	Rcaron
-<Multi_key> <less> <R>			: "\330"	Rcaron
-<Multi_key> <R> <caron>			: "\330"	Rcaron
-<Multi_key> <caron> <R>			: "\330"	Rcaron
-<Multi_key> <U> <asterisk>		: "\331"	Uring
-<Multi_key> <asterisk> <U>		: "\331"	Uring
-<Multi_key> <U> <acute>			: "\332"	Uacute
-<Multi_key> <acute> <U>			: "\332"	Uacute
-<Multi_key> <U> <apostrophe>		: "\332"	Uacute
-<Multi_key> <apostrophe> <U>		: "\332"	Uacute
-<Multi_key> <apostrophe> <apostrophe> <U>	: "\333"	Udoubleacute
-<Multi_key> <acute> <acute> <U>		: "\333"	Udoubleacute
-<Multi_key> <U> <quotedbl>		: "\334"	Udiaeresis
-<Multi_key> <quotedbl> <U>		: "\334"	Udiaeresis
-<Multi_key> <Y> <acute>			: "\335"	Yacute
-<Multi_key> <acute> <Y>			: "\335"	Yacute
-<Multi_key> <Y> <apostrophe>		: "\335"	Yacute
-<Multi_key> <apostrophe> <Y>		: "\335"	Yacute
-<Multi_key> <T> <comma>			: "\336"	Tcedilla
-<Multi_key> <comma> <T>			: "\336"	Tcedilla
-<Multi_key> <T> <cedilla>		: "\336"	Tcedilla
-<Multi_key> <cedilla> <T>		: "\336"	Tcedilla
-<Multi_key> <s> <s>			: "\337"	ssharp
-<Multi_key> <r> <acute>			: "\340"	racute
-<Multi_key> <acute> <r>			: "\340"	racute
-<Multi_key> <r> <apostrophe>		: "\340"	racute
-<Multi_key> <apostrophe> <r>		: "\340"	racute
-<Multi_key> <a> <acute>			: "\341"	aacute
-<Multi_key> <acute> <a>			: "\341"	aacute
-<Multi_key> <a> <apostrophe>		: "\341"	aacute
-<Multi_key> <apostrophe> <a>		: "\341"	aacute
-<Multi_key> <a> <asciicircum>		: "\342"	acircumflex
-<Multi_key> <asciicircum> <a>		: "\342"	acircumflex
-<Multi_key> <a> <greater>		: "\342"	acircumflex
-<Multi_key> <greater> <a>		: "\342"	acircumflex
-<Multi_key> <a> <U>			: "\343"	abreve
-<Multi_key> <a> <breve>			: "\343"	abreve
-<Multi_key> <breve> <a>			: "\343"	abreve
-<Multi_key> <a> <quotedbl>		: "\344"	adiaeresis
-<Multi_key> <quotedbl> <a>		: "\344"	adiaeresis
-<Multi_key> <l> <acute>			: "\345"	lacute
-<Multi_key> <acute> <l>			: "\345"	lacute
-<Multi_key> <l> <apostrophe>		: "\345"	lacute
-<Multi_key> <apostrophe> <l>		: "\345"	lacute
-<Multi_key> <c> <acute>			: "\346"	cacute
-<Multi_key> <acute> <c>			: "\346"	cacute
-<Multi_key> <c> <apostrophe>		: "\346"	cacute
-<Multi_key> <apostrophe> <c>		: "\346"	cacute
-<Multi_key> <c> <comma>			: "\347"	ccedilla
-<Multi_key> <comma> <c>			: "\347"	ccedilla
-<Multi_key> <c> <cedilla>		: "\347"	ccedilla
-<Multi_key> <cedilla> <c>		: "\347"	ccedilla
-<Multi_key> <c> <less>			: "\350"	ccaron
-<Multi_key> <less> <c>			: "\350"	ccaron
-<Multi_key> <c> <caron>			: "\350"	ccaron
-<Multi_key> <caron> <c>			: "\350"	ccaron
-<Multi_key> <e> <acute>			: "\351"	eacute
-<Multi_key> <acute> <e>			: "\351"	eacute
-<Multi_key> <e> <apostrophe>		: "\351"	eacute
-<Multi_key> <apostrophe> <e>		: "\351"	eacute
-<Multi_key> <e> <comma>			: "\352"	eogonek
-<Multi_key> <comma> <e>			: "\352"	eogonek
-<Multi_key> <e> <ogonek>		: "\352"	eogonek
-<Multi_key> <ogonek> <e>		: "\352"	eogonek
-<Multi_key> <e> <quotedbl>		: "\353"	ediaeresis
-<Multi_key> <quotedbl> <e>		: "\353"	ediaeresis
-<Multi_key> <e> <less>			: "\354"	ecaron
-<Multi_key> <less> <e>			: "\354"	ecaron
-<Multi_key> <e> <caron>			: "\354"	ecaron
-<Multi_key> <caron> <e>			: "\354"	ecaron
-<Multi_key> <i> <acute>			: "\355"	iacute
-<Multi_key> <acute> <i>			: "\355"	iacute
-<Multi_key> <i> <apostrophe>		: "\355"	iacute
-<Multi_key> <apostrophe> <i>		: "\355"	iacute
-<Multi_key> <i> <asciicircum>		: "\356"	icircumflex
-<Multi_key> <asciicircum> <i>		: "\356"	icircumflex
-<Multi_key> <i> <greater>		: "\356"	icircumflex
-<Multi_key> <greater> <i>		: "\356"	icircumflex
-<Multi_key> <d> <less>			: "\357"	dcaron
-<Multi_key> <less> <d>			: "\357"	dcaron
-<Multi_key> <d> <caron>			: "\357"	dcaron
-<Multi_key> <caron> <d>			: "\357"	dcaron
-<Multi_key> <d> <minus>			: "\360"	dstroke
-<Multi_key> <minus> <d>			: "\360"	dstroke
-<Multi_key> <n> <acute>			: "\361"	nacute
-<Multi_key> <acute> <n>			: "\361"	nacute
-<Multi_key> <n> <apostrophe>		: "\361"	nacute
-<Multi_key> <apostrophe> <n>		: "\361"	nacute
-<Multi_key> <n> <less>			: "\362"	ncaron
-<Multi_key> <less> <n>			: "\362"	ncaron
-<Multi_key> <n> <caron>			: "\362"	ncaron
-<Multi_key> <caron> <n>			: "\362"	ncaron
-<Multi_key> <o> <acute>			: "\363"	oacute
-<Multi_key> <acute> <o>			: "\363"	oacute
-<Multi_key> <o> <apostrophe>		: "\363"	oacute
-<Multi_key> <apostrophe> <o>		: "\363"	oacute
-<Multi_key> <o> <asciicircum>		: "\364"	ocircumflex
-<Multi_key> <asciicircum> <o>		: "\364"	ocircumflex
-<Multi_key> <o> <greater>		: "\364"	ocircumflex
-<Multi_key> <greater> <o>		: "\364"	ocircumflex
-<Multi_key> <apostrophe> <apostrophe> <o>	: "\365"	odoubleacute
-<Multi_key> <acute> <acute> <o>		: "\365"	odoubleacute
-<Multi_key> <o> <quotedbl>		: "\366"	odiaeresis
-<Multi_key> <quotedbl> <o>		: "\366"	odiaeresis
-<Multi_key> <minus> <colon>		: "\367"	division
-<Multi_key> <colon> <minus>		: "\367"	division
-<Multi_key> <r> <less>			: "\370"	rcaron
-<Multi_key> <less> <r>			: "\370"	rcaron
-<Multi_key> <r> <caron>			: "\370"	rcaron
-<Multi_key> <caron> <r>			: "\370"	rcaron
-<Multi_key> <u> <asterisk>		: "\371"	uring
-<Multi_key> <asterisk> <u>		: "\371"	uring
-<Multi_key> <u> <acute>			: "\372"	uacute
-<Multi_key> <acute> <u>			: "\372"	uacute
-<Multi_key> <u> <apostrophe>		: "\372"	uacute
-<Multi_key> <apostrophe> <u>		: "\372"	uacute
-<Multi_key> <apostrophe> <apostrophe> <u>	: "\373"	udoubleacute
-<Multi_key> <acute> <acute> <u>		: "\373"	udoubleacute
-<Multi_key> <u> <quotedbl>		: "\374"	udiaeresis
-<Multi_key> <quotedbl> <u>		: "\374"	udiaeresis
-<Multi_key> <y> <acute>			: "\375"	yacute
-<Multi_key> <acute> <y>			: "\375"	yacute
-<Multi_key> <y> <apostrophe>		: "\375"	yacute
-<Multi_key> <apostrophe> <y>		: "\375"	yacute
-<Multi_key> <t> <comma>			: "\376"	tcedilla
-<Multi_key> <comma> <t>			: "\376"	tcedilla
-<Multi_key> <t> <cedilla>		: "\376"	tcedilla
-<Multi_key> <cedilla> <t>		: "\376"	tcedilla
-<Multi_key> <period> <period>		: "\377"	abovedot
-<dead_acute> <A>			: "\301"	Aacute
-<dead_acute> <C>			: "\306"	Cacute
-<dead_acute> <E>			: "\311"	Eacute
-<dead_acute> <I>			: "\315"	Iacute
-<dead_acute> <L>			: "\305"	Lacute
-<dead_acute> <N>			: "\321"	Nacute
-<dead_acute> <O>			: "\323"	Oacute
-<dead_acute> <R>			: "\300"	Racute
-<dead_acute> <S>			: "\246"	Sacute
-<dead_acute> <U>			: "\332"	Uacute
-<dead_acute> <Y>			: "\335"	Yacute
-<dead_acute> <Z>			: "\254"	Zacute
-<dead_acute> <a>			: "\341"	aacute
-<dead_acute> <c>			: "\346"	cacute
-<dead_acute> <e>			: "\351"	eacute
-<dead_acute> <i>			: "\355"	iacute
-<dead_acute> <l>			: "\345"	lacute
-<dead_acute> <n>			: "\361"	nacute
-<dead_acute> <o>			: "\363"	oacute
-<dead_acute> <r>			: "\340"	racute
-<dead_acute> <s>			: "\266"	sacute
-<dead_acute> <u>			: "\372"	uacute
-<dead_acute> <y>			: "\375"	yacute
-<dead_acute> <z>			: "\274"	zacute
-<dead_breve> <A>			: "\303"	Abreve
-<dead_breve> <a>			: "\343"	abreve
-<dead_diaeresis> <A>			: "\304"	Adiaeresis
-<dead_diaeresis> <E>			: "\313"	Ediaeresis
-<dead_diaeresis> <O>			: "\326"	Odiaeresis
-<dead_diaeresis> <U>			: "\334"	Udiaeresis
-<dead_diaeresis> <a>			: "\344"	adiaeresis
-<dead_diaeresis> <e>			: "\353"	ediaeresis
-<dead_diaeresis> <o>			: "\366"	odiaeresis
-<dead_diaeresis> <u>			: "\374"	udiaeresis
-<dead_abovering> <U>			: "\331"	Uring
-<dead_abovering> <u>			: "\371"	uring
-<dead_doubleacute> <O>			: "\325"	Odoubleacute
-<dead_doubleacute> <U>			: "\333"	Udoubleacute
-<dead_doubleacute> <o>			: "\365"	odoubleacute
-<dead_doubleacute> <u>			: "\373"	udoubleacute
-<dead_caron> <C>			: "\310"	Ccaron
-<dead_caron> <D>			: "\317"	Dcaron
-<dead_caron> <E>			: "\314"	Ecaron
-<dead_caron> <L>			: "\245"	Lcaron
-<dead_caron> <N>			: "\322"	Ncaron
-<dead_caron> <R>			: "\330"	Rcaron
-<dead_caron> <S>			: "\251"	Scaron
-<dead_caron> <T>			: "\253"	Tcaron
-<dead_caron> <Z>			: "\256"	Zcaron
-<dead_caron> <c>			: "\350"	ccaron
-<dead_caron> <d>			: "\357"	dcaron
-<dead_caron> <e>			: "\354"	ecaron
-<dead_caron> <l>			: "\265"	lcaron
-<dead_caron> <n>			: "\362"	ncaron
-<dead_caron> <r>			: "\370"	rcaron
-<dead_caron> <s>			: "\271"	scaron
-<dead_caron> <t>			: "\273"	tcaron
-<dead_caron> <z>			: "\276"	zcaron
-<dead_cedilla> <S>			: "\252"	Scedilla
+
+XCOMM StartComposeMap <Multi_key>
+XCOMM Czech keys
+<ecaron>				: "\354"	ecaron
+<scaron>				: "\271"	scaron
+<ccaron>				: "\350"	ccaron
+<rcaron>				: "\370"	rcaron
+<zcaron>				: "\276"	zcaron
+<yacute>				: "\375"	yacute
+<aacute>				: "\341"	aacute
+<iacute>				: "\355"	iacute
+<eacute>				: "\351"	eacute
+<uacute>				: "\372"	uacute
+<uring>					: "\371"	uring
+<section>				: "\247"	section
+<ssharp>				: "\337"	ssharp
+
+XCOMM Polish
+<zabovedot>				: "\277"	zabovedot
+<Zabovedot>				: "\257"	Zabovedot
+<ogonek>				: "\262"	ogonek
+<oacute>				: "\363"	oacute
+<zacute>				: "\274"	zacute
+<lstroke>				: "\263"	lstroke
+<Lstroke>				: "\243"	Lstroke
+<aogonek>				: "\261"	aogonek
+<eogonek>				: "\352"	eogonek
+<currency>				: "\244"	currency
+<sacute>				: "\266"	sacute
+<nacute>				: "\361"	nacute
+<cacute>				: "\346"	cacute
+<degree>				: "\260"	degree
+
+XCOMM Hungarian
+<Odiaeresis>				: "\326"	Odiaeresis
+<Udiaeresis>				: "\334"	Udiaeresis
+<odiaeresis> 		                : "\366"        odiaeresis
+<udiaeresis>  		                : "\374"        udiaeresis
+<Oacute> 				: "\323"	Oacute
+<odoubleacute>				: "\365"	odoubleacute
+<Odoubleacute>				: "\325"	Odoubleacute
+<Uacute>				: "\332"	Uacute
+<Eacute>				: "\311"	Eacute
+<Aacute>				: "\301"	Aacute
+<adiaeresis>				: "\344"	adiaeresis
+<Adiaeresis>  		                : "\304"        Adiaeresis
+<udoubleacute>				: "\373"	udoubleacute
+<Udoubleacute>				: "\333"	Udoubleacute
+<Iacute>				: "\315"	Iacute
+
+
+
+<Multi_key> <space> <space>  		: "\240"	nobreakspace
+<Multi_key> <space> <breve>  		: "\242"	breve
+<Multi_key> <space> <degree>  		: "\260"      	degree
+<Multi_key> <space> <ogonek>  		: "\262"	ogonek
+<Multi_key> <space> <caron>  		: "\267"  	caron
+<Multi_key> <space> <doubleacute> 	: "\275"  	doubleacute
+
+<Multi_key> <diaeresis> <A>		: "\304"  	Adiaeresis
+<Multi_key> <A> <diaeresis> 		: "\304"  	Adiaeresis
+<Multi_key> <diaeresis> <E>		: "\313" 	Ediaeresis
+<Multi_key> <E> <diaeresis> 		: "\313" 	Ediaeresis
+<Multi_key> <diaeresis> <O>		: "\326"  	Odiaeresis
+<Multi_key> <O> <diaeresis> 		: "\326"  	Odiaeresis
+<Multi_key> <diaeresis> <U>		: "\334"  	Udiaeresis
+<Multi_key> <U> <diaeresis> 		: "\334"  	Udiaeresis
+<Multi_key> <diaeresis> <a>		: "\344"  	adiaeresis
+<Multi_key> <a> <diaeresis> 		: "\344"  	adiaeresis
+<Multi_key> <diaeresis> <e>		: "\353"  	ediaeresis
+<Multi_key> <e> <diaeresis> 		: "\353"  	ediaeresis
+<Multi_key> <diaeresis> <o>		: "\366"  	odiaeresis
+<Multi_key> <o> <diaeresis> 		: "\366"  	odiaeresis
+<Multi_key> <diaeresis> <u>		: "\374"  	udiaeresis
+<Multi_key> <u> <diaeresis> 		: "\374"  	udiaeresis
+<Multi_key> <quotedbl> <A>		: "\304"  	Adiaeresis
+<Multi_key> <A> <quotedbl> 		: "\304"  	Adiaeresis
+<Multi_key> <quotedbl> <E>		: "\313" 	Ediaeresis
+<Multi_key> <E> <quotedbl> 		: "\313" 	Ediaeresis
+<Multi_key> <quotedbl> <O>		: "\326"  	Odiaeresis
+<Multi_key> <O> <quotedbl> 		: "\326"  	Odiaeresis
+<Multi_key> <quotedbl> <U>		: "\334"  	Udiaeresis
+<Multi_key> <U> <quotedbl> 		: "\334"  	Udiaeresis
+<Multi_key> <quotedbl> <a>		: "\344"  	adiaeresis
+<Multi_key> <a> <quotedbl> 		: "\344"  	adiaeresis
+<Multi_key> <quotedbl> <e>		: "\353"  	ediaeresis
+<Multi_key> <e> <quotedbl> 		: "\353"  	ediaeresis
+<Multi_key> <quotedbl> <o>		: "\366"  	odiaeresis
+<Multi_key> <o> <quotedbl> 		: "\366"  	odiaeresis
+<Multi_key> <quotedbl> <u>		: "\374"  	udiaeresis
+<Multi_key> <u> <quotedbl> 		: "\374"  	udiaeresis
+
+<Multi_key> <quoteright> <A>			: "\301" 	Aacute
+<Multi_key> <A> <quoteright> 		: "\301" 	Aacute
+<Multi_key> <quoteright> <C>			: "\306"  	Cacute
+<Multi_key> <C> <quoteright> 		: "\306"  	Cacute
+<Multi_key> <quoteright> <E>			: "\311"  	Eacute
+<Multi_key> <E>	<quoteright> 		: "\311"  	Eacute
+<Multi_key> <quoteright> <I>			: "\315"  	Iacute
+<Multi_key> <I>	<quoteright> 		: "\315"  	Iacute
+<Multi_key> <quoteright> <L>			: "\305"  	Lacute
+<Multi_key> <L>	<quoteright> 		: "\305"  	Lacute
+<Multi_key> <quoteright> <N>			: "\321"  	Nacute
+<Multi_key> <N>	<quoteright> 		: "\321"  	Nacute
+<Multi_key> <quoteright> <O>			: "\323"  	Oacute
+<Multi_key> <O>	<quoteright> 		: "\323"  	Oacute
+<Multi_key> <quoteright> <R>			: "\300"  	Racute
+<Multi_key> <R>	<quoteright> 		: "\300"  	Racute
+<Multi_key> <quoteright> <S>			: "\246"  	Sacute
+<Multi_key> <S>	<quoteright> 		: "\246"  	Sacute
+<Multi_key> <quoteright> <U>			: "\332"  	Uacute
+<Multi_key> <U>	<quoteright> 		: "\332"  	Uacute
+<Multi_key> <quoteright> <Y>			: "\335"  	Yacute
+<Multi_key> <Y>	<quoteright> 		: "\335"  	Yacute
+<Multi_key> <quoteright> <Z>			: "\254"  	Zacute
+<Multi_key> <Z>	<quoteright> 		: "\254"  	Zacute
+<Multi_key> <quoteright> <a>			: "\341"  	aacute
+<Multi_key> <a>	<quoteright> 		: "\341"  	aacute
+<Multi_key> <quoteright> <c>			: "\346"  	cacute
+<Multi_key> <c>	<quoteright> 		: "\346"  	cacute
+<Multi_key> <quoteright> <e>			: "\351"  	eacute
+<Multi_key> <e>	<quoteright> 		: "\351"  	eacute
+<Multi_key> <quoteright> <i>			: "\355"  	iacute
+<Multi_key> <i>	<quoteright> 		: "\355"  	iacute
+<Multi_key> <quoteright> <l>			: "\345"  	lacute
+<Multi_key> <l>	<quoteright> 		: "\345"  	lacute
+<Multi_key> <quoteright> <n>			: "\361"  	nacute
+<Multi_key> <n>	<quoteright> 		: "\361"  	nacute
+<Multi_key> <quoteright> <o>			: "\363"  	oacute
+<Multi_key> <o>	<quoteright> 		: "\363"  	oacute
+<Multi_key> <quoteright> <r>			: "\340"  	racute
+<Multi_key> <r>	<quoteright> 		: "\340"  	racute
+<Multi_key> <quoteright> <s>			: "\266"  	sacute
+<Multi_key> <s>	<quoteright> 		: "\266"  	sacute
+<Multi_key> <quoteright> <u>			: "\372"  	uacute
+<Multi_key> <u>	<quoteright> 		: "\372"  	uacute
+<Multi_key> <quoteright> <y>			: "\375"  	yacute
+<Multi_key> <y>	<quoteright> 		: "\375"  	yacute
+<Multi_key> <quoteright> <z>			: "\274"  	zacute
+<Multi_key> <z>	<quoteright> 		: "\274"  	zacute
+<Multi_key> <0> <asciicircum>		: "\260"	degree
+<Multi_key> <asciicircum> <0>		: "\260"	degree
+<Multi_key> <comma> <C>			: "\307"  	Ccedilla
+<Multi_key> <C>	<comma> 		: "\307"  	Ccedilla
+<Multi_key> <comma> <S>			: "\252"  	Scedilla
+<Multi_key> <S>	<comma> 		: "\252"  	Scedilla
+<Multi_key> <comma> <T>			: "\336"  	Tcedilla
+<Multi_key> <T>	<comma> 		: "\336"  	Tcedilla
+<Multi_key> <comma> <c>			: "\347"  	ccedilla
+<Multi_key> <c>	<comma> 		: "\347"  	ccedilla
+<Multi_key> <comma> <s>			: "\272"  	scedilla
+<Multi_key> <s>	<comma> 		: "\272"  	scedilla
+<Multi_key> <comma> <t>			: "\376"  	tcedilla
+<Multi_key> <t>	<comma> 		: "\376"  	tcedilla
 <dead_cedilla> <C>			: "\307"	Ccedilla
-<dead_cedilla> <T>			: "\336"	Tcedilla
-<dead_cedilla> <c>			: "\347"	ccedilla
-<dead_cedilla> <s>			: "\272"	scedilla
-<dead_cedilla> <t>			: "\376"	tcedilla
-XCOMM those are for ease of use
-<dead_abovedot> <U>			: "\331"	Uring
-<dead_abovedot> <u>			: "\371"	uring
-<dead_caron> <U>			: "\331"	Uring
-<dead_caron> <u>			: "\371"	uring
-XCOMM traditional sequences
-<Multi_key> <O> <E>			: "\274"	OE
-<Multi_key> <o> <e>			: "\275"	oe
-<dead_abovering> <A>			: "\305"        Aring
-<dead_abovering> <a>                    : "\345"        aring
-<dead_abovering> <dead_abovering>       : "\260"	degree
-<dead_abovering> <degree>               : "\260"	degree
-<dead_abovering> <space>                : "\260"	degree
-<dead_abovering> <nobreakspace>         : "\260"	degree
-<dead_tilde> <I>                        : "\245"        Itilde
-<dead_tilde> <i>                        : "\265"        itilde
-<dead_tilde> <A>                        : "\303"        Atilde
-<dead_tilde> <O>                        : "\325"        Otilde
-<dead_tilde> <U>                        : "\335"        Utilde
-<dead_tilde> <a>                        : "\343"        atilde
-<dead_tilde> <o>                        : "\365"        otilde
-<dead_tilde> <u>                        : "\375"        utilde
-<dead_tilde> <N>			: "\321"	Ntilde
-<dead_tilde> <n>			: "\361"	ntilde
-<dead_tilde> <dead_tilde>               : "~"           asciitilde
-<dead_tilde> <asciitilde>               : "~"           asciitilde
-<dead_tilde> <space>                    : "~"           asciitilde
-<dead_tilde> <nobreakspace>             : "~"           asciitilde
-<dead_caron> <caron>                    : "\267"        caron
-<dead_caron> <dead_caron>               : "\267"        caron
-<dead_caron> <space>                    : "\267"        caron
-<dead_caron> <nobreakspace>             : "\267"        caron
-<dead_circumflex> <A>                   : "\302"        Acircumflex
-<dead_circumflex> <I>                   : "\316"        Icircumflex
-<dead_circumflex> <O>                   : "\324"        Ocircumflex
-<dead_circumflex> <U>                   : "\333"        Ucircumflex
-<dead_circumflex> <a>                   : "\342"        acircumflex
-<dead_circumflex> <i>                   : "\356"        icircumflex
-<dead_circumflex> <o>                   : "\364"        ocircumflex
-<dead_circumflex> <u>                   : "\373"        ucircumflex      
-<dead_circumflex> <dead_circumflex>	: "\136"	asciicircum
-<dead_circumflex> <asciicircum>		: "\136"	asciicircum
-<dead_circumflex> <space>		: "\136"	asciicircum
-<dead_circumflex> <nobreakspace>	: "\136"	asciicircum
-<dead_breve> <G>                        : "\253"        Gbreve
-<dead_breve> <g>                        : "\273"        gbreve
-<dead_breve> <U>                        : "\335"        Ubreve
-<dead_breve> <u>                        : "\375"        ubreve
-<dead_breve> <dead_breve>		: "\242"	breve
-<dead_breve> <breve>			: "\242"	breve
-<dead_breve> <space>			: "\242"	breve
-<dead_breve> <nobreakspace>		: "\242"	breve
-<dead_ogonek> <A>                       : "\241"        Aogonek
-<dead_ogonek> <I>                       : "\307"        Iogonek
+<dead_cedilla> <S>                      : "\252"        Scedilla
+<dead_cedilla> <T>                      : "\336"        Tcedilla
+<dead_cedilla> <c>                      : "\347"        ccedilla
+<dead_cedilla> <s>                      : "\272"        scedilla
+<dead_cedilla> <t>                      : "\376"        tcedilla
+
+<Multi_key> <period> <period>           : "\377"         dotaccent
+
+
+<Multi_key> <minus> <minus>		: "\255"  	hyphen
+<Multi_key> <minus> <colon>		: "\367"  	division
+<division>				: "\367"	division
+<multiply>				: "\327"	multiply
+
+<Multi_key> <minus> <D>			: "\320"  	Dstroke
+<Multi_key> <minus> <d>			: "\360"  	dstroke
+
+<Multi_key> <0> <x>			: "\244"  	currency
+
+<Multi_key> <asciicircum> <A>		: "\302"  	Acircumflex
+<Multi_key> <A> <asciicircum> 		: "\302"  	Acircumflex
+<Multi_key> <asciicircum> <I>		: "\316"  	Icircumflex
+<Multi_key> <I> <asciicircum> 		: "\316"  	Icircumflex
+<Multi_key> <asciicircum> <O>           : "\324"        Ocircumflex
+<Multi_key> <O> <asciicircum>           : "\324"        Ocircumflex
+<Multi_key> <asciicircum> <a>		: "\342"  	acircumflex
+<Multi_key> <a> <asciicircum> 		: "\342"  	acircumflex
+<Multi_key> <asciicircum> <i>		: "\356"  	icircumflex
+<Multi_key> <i> <asciicircum> 		: "\356"  	icircumflex
+<Multi_key> <asciicircum> <o>		: "\364"  	ocircumflex
+<Multi_key> <o> <asciicircum> 		: "\364"  	ocircumflex
+<dead_circumflex> <A>			: "\302"	Acircumflex
+<dead_circumflex> <I>			: "\316"	Icircumflex
+<dead_circumflex> <O>			: "\324"	Ocircumflex
+<dead_circumflex> <a>			: "\342"	acircumflex
+<dead_circumflex> <i>			: "\356"	icircumflex
+<dead_circumflex> <o>			: "\364"	ocircumflex
+
+
+<Multi_key> <caron> <C>			: "\310"  	Ccaron
+<Multi_key> <C>	<caron> 		: "\310"  	Ccaron
+<Multi_key> <caron> <D>			: "\317"  	Dcaron
+<Multi_key> <D>	<caron> 		: "\317"  	Dcaron
+<Multi_key> <caron> <E>			: "\314"  	Ecaron
+<Multi_key> <E>	<caron> 		: "\314"  	Ecaron
+<Multi_key> <caron> <L>			: "\245"  	Lcaron
+<Multi_key> <L>	<caron> 		: "\245"  	Lcaron
+<Multi_key> <caron> <N>           	: "\322" 	Ncaron
+<Multi_key> <N> <caron>           	: "\322" 	Ncaron
+<Multi_key> <caron> <R>			: "\330"  	Rcaron
+<Multi_key> <R>	<caron> 		: "\330"  	Rcaron
+<Multi_key> <caron> <S>			: "\251"  	Scaron
+<Multi_key> <S>	<caron> 		: "\251"  	Scaron
+<Multi_key> <caron> <T>			: "\253"  	Tcaron
+<Multi_key> <T>	<caron> 		: "\253"  	Tcaron
+<Multi_key> <caron> <U>			: "\331"  	Uring
+<Multi_key> <U>	<caron> 		: "\331"  	Uring
+<Multi_key> <caron> <Z>			: "\256"  	Zcaron
+<Multi_key> <Z>	<caron> 		: "\256"  	Zcaron
+<Multi_key> <caron> <c>			: "\350"  	ccaron
+<Multi_key> <c>	<caron> 		: "\350"  	ccaron
+<Multi_key> <caron> <d>			: "\357"  	dcaron
+<Multi_key> <d>	<caron> 		: "\357"  	dcaron
+<Multi_key> <caron> <e>			: "\354"  	ecaron
+<Multi_key> <e>	<caron> 		: "\354"  	ecaron
+<Multi_key> <caron> <l>			: "\265"  	lcaron
+<Multi_key> <l>	<caron> 		: "\265"  	lcaron
+<Multi_key> <caron> <n>			: "\362"  	ncaron
+<Multi_key> <n>	<caron> 		: "\362"  	ncaron
+<Multi_key> <caron> <r>			: "\370"  	rcaron
+<Multi_key> <r>	<caron> 		: "\370"  	rcaron
+<Multi_key> <caron> <s>			: "\271"  	scaron
+<Multi_key> <s>	<caron> 		: "\271"  	scaron
+<Multi_key> <caron> <t>			: "\273"  	tcaron
+<Multi_key> <t>	<caron> 		: "\273"  	tcaron
+<Multi_key> <caron> <u>			: "\371"  	uring
+<Multi_key> <u>	<caron> 		: "\371"  	uring
+<Multi_key> <caron> <z>			: "\276"  	zcaron
+<Multi_key> <z>	<caron> 		: "\276"  	zcaron
+<Multi_key> <v> <C>			: "\310"  	Ccaron
+<Multi_key> <C> <v> 			: "\310"  	Ccaron
+<Multi_key> <v> <D>			: "\317"  	Dcaron
+<Multi_key> <D> <v> 			: "\317"  	Dcaron
+<Multi_key> <v> <E>			: "\314"  	Ecaron
+<Multi_key> <E> <v> 			: "\314"  	Ecaron
+<Multi_key> <v> <L>			: "\245"  	Lcaron
+<Multi_key> <L> <v> 			: "\245"  	Lcaron
+<Multi_key> <v> <N>           		: "\322" 	Ncaron
+<Multi_key> <N> <v>           		: "\322" 	Ncaron
+<Multi_key> <v> <R>			: "\330"  	Rcaron
+<Multi_key> <R> <v> 			: "\330"  	Rcaron
+<Multi_key> <v> <S>			: "\251"  	Scaron
+<Multi_key> <S> <v> 			: "\251"  	Scaron
+<Multi_key> <v> <T>			: "\253"  	Tcaron
+<Multi_key> <T> <v> 			: "\253"  	Tcaron
+<Multi_key> <v> <U>			: "\331"  	Uring
+<Multi_key> <U> <v> 			: "\331"  	Uring
+<Multi_key> <v> <Z>			: "\256"  	Zcaron
+<Multi_key> <Z> <v> 			: "\256"  	Zcaron
+<Multi_key> <v> <c>			: "\350"  	ccaron
+<Multi_key> <c> <v> 			: "\350"  	ccaron
+<Multi_key> <v> <d>			: "\357"  	dcaron
+<Multi_key> <d> <v> 			: "\357"  	dcaron
+<Multi_key> <v> <e>			: "\354"  	ecaron
+<Multi_key> <e> <v> 			: "\354"  	ecaron
+<Multi_key> <v> <l>			: "\265"  	lcaron
+<Multi_key> <l> <v> 			: "\265"  	lcaron
+<Multi_key> <v> <n>			: "\362"  	ncaron
+<Multi_key> <n> <v> 			: "\362"  	ncaron
+<Multi_key> <v> <r>			: "\370"  	rcaron
+<Multi_key> <r> <v> 			: "\370"  	rcaron
+<Multi_key> <v> <s>			: "\271"  	scaron
+<Multi_key> <s> <v> 			: "\271"  	scaron
+<Multi_key> <v> <t>			: "\273"  	tcaron
+<Multi_key> <t> <v> 			: "\273"  	tcaron
+<Multi_key> <v> <u>			: "\371"  	uring
+<Multi_key> <u> <v> 			: "\371"  	uring
+<Multi_key> <v> <z>			: "\276"  	zcaron
+<Multi_key> <z> <v> 			: "\276"  	zcaron
+<dead_caron> <C>			: "\310"        Ccaron
+<dead_caron> <D>                        : "\317"        Dcaron
+<dead_caron> <E>                        : "\314"        Ecaron
+<dead_caron> <L>                        : "\245"        Lcaron
+<dead_caron> <N>                        : "\322"        Ncaron
+<dead_caron> <R>                        : "\330"        Rcaron
+<dead_caron> <S>                        : "\251"        Scaron
+<dead_caron> <T>                        : "\253"        Tcaron
+<dead_caron> <Z>                        : "\256"        Zcaron
+<dead_caron> <c>                        : "\350"        ccaron
+<dead_caron> <d>                        : "\357"        dcaron
+<dead_caron> <e>                        : "\354"        ecaron
+<dead_caron> <l>                        : "\265"        lcaron
+<dead_caron> <n>                        : "\362"        ncaron
+<dead_caron> <r>                        : "\370"        rcaron
+<dead_caron> <s>                        : "\271"        scaron
+<dead_caron> <t>                        : "\273"        tcaron
+<dead_caron> <z>                        : "\276"        zcaron
+
+<Multi_key> <breve> <A>			: "\303"  	Abreve
+<Multi_key> <A>	<breve> 		: "\303"  	Abreve
+<Multi_key> <breve> <a>			: "\343"  	abreve
+<Multi_key> <a>	<breve> 		: "\343"  	abreve
+<Multi_key> <u> <A>			: "\303"  	Abreve
+<Multi_key> <A> <u> 			: "\303"  	Abreve
+<Multi_key> <u> <a>			: "\343"  	abreve
+<Multi_key> <a> <u> 			: "\343"  	abreve
+<dead_breve> <A>			: "\303"        Abreve
+<dead_breve> <a>                        : "\343"        abreve
+
+
+
+<Multi_key> <ogonek> <A>		: "\241"  	Aogonek
+<Multi_key> <A> <ogonek> 		: "\241"  	Aogonek
+<Multi_key> <ogonek> <E>		: "\312"  	Eogonek
+<Multi_key> <E> <ogonek> 		: "\312"  	Eogonek
+<Multi_key> <ogonek> <a> 		: "\261"  	aogonek
+<Multi_key> <a> <ogonek> 		: "\261"  	aogonek
+<Multi_key> <ogonek> <e> 		: "\352"  	eogonek
+<Multi_key> <e> <ogonek> 		: "\352"  	eogonek
+<Multi_key> <a> <A>			: "\241"  	Aogonek
+<Multi_key> <A> <a> 			: "\241"  	Aogonek
+<Multi_key> <a> <E>			: "\312"  	Eogonek
+<Multi_key> <E> <a> 			: "\312"  	Eogonek
+<Multi_key> <a> <a> 			: "\261"  	aogonek
+<Multi_key> <a> <e> 			: "\352"  	eogonek
+<Multi_key> <e> <a> 			: "\352"  	eogonek
+<dead_ogonek> <A>			: "\241"        Aogonek
 <dead_ogonek> <E>                       : "\312"        Eogonek
-<dead_ogonek> <U>                       : "\331"        Uogonek
 <dead_ogonek> <a>                       : "\261"        aogonek
-<dead_ogonek> <i>                       : "\347"        iogonek
 <dead_ogonek> <e>                       : "\352"        eogonek
-<dead_ogonek> <u>                       : "\371"        uogonek          
-<dead_ogonek> <dead_ogonek>		: "\662"	ogonek
-<dead_ogonek> <ogonek>			: "\662"	ogonek
-<dead_ogonek> <space>			: "\662"	ogonek
-<dead_ogonek> <nobreakspace>		: "\662"	ogonek
-<dead_grave> <A>			: "\300"	Agrave
-<dead_grave> <a>			: "\340"	agrave
-<dead_grave> <E>			: "\310"	Egrave
-<dead_grave> <e>			: "\350"	egrave
-<dead_grave> <I>			: "\314"	Igrave
-<dead_grave> <i>			: "\354"	igrave
-<dead_grave> <O>			: "\322"	Ograve
-<dead_grave> <o>			: "\362"	ograve
-<dead_grave> <U>			: "\331"	Ugrave
-<dead_grave> <u>			: "\371"	ugrave
-<dead_grave> <dead_grave>		: "`"		grave
-<dead_grave> <grave>			: "`"		grave
-<dead_grave> <space>			: "`"		grave
-<dead_grave> <nobreakspace>		: "`"		grave
-<dead_abovedot> <C>			: "\305"	Cabovedot
-<dead_abovedot> <c>			: "\345"	cabovedot
-<dead_abovedot> <I>			: "\251"	Iabovedot
-<dead_abovedot> <i>			: "\271"	idotless
-<dead_abovedot> <Z>			: "\257"	Zabovedot
-<dead_abovedot> <z>			: "\277"	zabovedot
-<dead_abovedot> <E> 			: "\314"	Eabovedot
-<dead_abovedot> <e>			: "\354"	eabovedot
-<dead_abovedot> <dead_abovedot>		: "\377" 	abovedot
-<dead_abovedot> <abovedot>		: "\377"	abovedot
-<dead_abovedot> <space>			: "\377" 	abovedot
-<dead_abovedot> <nobreakspace>		: "\377" 	abovedot
-<dead_acute> <dead_acute>		: "\264"	acute
-<dead_acute> <acute>			: "\264"	acute
-<dead_acute> <space>			: "\264"	acute
-<dead_acute> <nobreakspace>		: "\264"	acute
-<dead_doubleacute> <dead_doubleacute>	: "\675"	doubleacute
-<dead_doubleacute> <doubleacute>	: "\675"	doubleacute
-<dead_doubleacute> <space>		: "\675"	doubleacute
-<dead_doubleacute> <nobreakspace>	: "\675"	doubleacute
-<dead_diaeresis> <I>			: "\317"	Idiaeresis
-<dead_diaeresis> <i>			: "\357"	idiaeresis
-<dead_diaeresis> <y>			: "\377"	ydiaeresis
-<dead_diaeresis> <dead_diaeresis>	: "\250"	diaeresis
-<dead_diaeresis> <diaeresis>		: "\250"	diaeresis
-<dead_diaeresis> <space>		: "\250"	diaeresis
-<dead_diaeresis> <nobreakspace>		: "\250"	diaeresis
-<dead_cedilla> <dead_cedilla>		: "\270"	cedilla
-<dead_cedilla> <cedilla>		: "\270"	cedilla
-<dead_cedilla> <space>			: "\270"	cedilla
-<dead_cedilla> <nobreakspace>		: "\270"	cedilla
-<dead_macron> <dead_macron>		: "\257"	macron
-<dead_macron> <macron>			: "\257"	macron
-<dead_macron> <space>			: "\257"	macron
-<dead_macron> <nobreakspace>		: "\257"	macron
-XCOMM End of Sequence Definition
+
+
+
+<Multi_key> <O> <S>			: "\247"        section
+
+<Multi_key> <doubleacute> <O>		: "\325"  	Odoubleacute
+<Multi_key> <O> <doubleacute> 		: "\325"  	Odoubleacute
+<Multi_key> <doubleacute> <U>		: "\333"  	Udoubleacute
+<Multi_key> <U> <doubleacute> 		: "\333"  	Udoubleacute
+<Multi_key> <doubleacute> <o>		: "\365"  	odoubleacute
+<Multi_key> <o> <doubleacute> 		: "\365"  	odoubleacute
+<Multi_key> <doubleacute> <u>		: "\373"  	udoubleacute
+<Multi_key> <u> <doubleacute> 		: "\373"  	udoubleacute
+<Multi_key> <greater> <O>		: "\325"  	Odoubleacute
+<Multi_key> <O> <greater> 		: "\325"  	Odoubleacute
+<Multi_key> <greater> <U>		: "\333"  	Udoubleacute
+<Multi_key> <U> <greater> 		: "\333"  	Udoubleacute
+<Multi_key> <greater> <o>		: "\365"  	odoubleacute
+<Multi_key> <o> <greater> 		: "\365"  	odoubleacute
+<dead_doubleacute> <O>			: "\325"        Odoubleacute
+<dead_doubleacute> <U>                  : "\333"        Udoubleacute
+<dead_doubleacute> <o>                  : "\365"        odoubleacute
+<dead_doubleacute> <u>                  : "\373"        udoubleacute
+
+
+<Multi_key> <period> <U>		: "\331"  	Uring
+<Multi_key> <U> <period> 		: "\331"  	Uring
+<Multi_key> <period> <u>		: "\371"  	uring
+<Multi_key> <u> <period> 		: "\371"  	uring
+<Multi_key> <period> <z>		: "\277"  	zabovedot
+<Multi_key> <z> <period> 		: "\277"  	zabovedot
+<Multi_key> <period> <Z>		: "\257"  	Zabovedot
+<Multi_key> <Z> <period> 		: "\257"  	Zabovedot
+
+
+<Multi_key> <s> <s>			: "\337"  	ssharp
+<Multi_key> <x> <x>			: "\327"  	multiply
+
+Ctrl<T> <space> <space>  		: "\240"	nobreakspace
+Ctrl<T> <space> <breve>  		: "\242"	breve
+Ctrl<T> <space> <degree>  		: "\260"      	degree
+Ctrl<T> <space> <ogonek>  		: "\262"	ogonek
+Ctrl<T> <space> <caron>  		: "\267"  	caron
+Ctrl<T> <space> <doubleacute> 		: "\275"  	doubleacute
+
+Ctrl<T> <diaeresis> <A>			: "\304"  	Adiaeresis
+Ctrl<T> <A> <diaeresis> 		: "\304"  	Adiaeresis
+Ctrl<T> <diaeresis> <E>			: "\313" 	Ediaeresis
+Ctrl<T> <E> <diaeresis> 		: "\313" 	Ediaeresis
+Ctrl<T> <diaeresis> <O>			: "\326"  	Odiaeresis
+Ctrl<T> <O> <diaeresis> 		: "\326"  	Odiaeresis
+Ctrl<T> <diaeresis> <U>			: "\334"  	Udiaeresis
+Ctrl<T> <U> <diaeresis> 		: "\334"  	Udiaeresis
+Ctrl<T> <diaeresis> <a>			: "\344"  	adiaeresis
+Ctrl<T> <a> <diaeresis> 		: "\344"  	adiaeresis
+Ctrl<T> <diaeresis> <e>			: "\353"  	ediaeresis
+Ctrl<T> <e> <diaeresis> 		: "\353"  	ediaeresis
+Ctrl<T> <diaeresis> <o>			: "\366"  	odiaeresis
+Ctrl<T> <o> <diaeresis> 		: "\366"  	odiaeresis
+Ctrl<T> <diaeresis> <u>			: "\374"  	udiaeresis
+Ctrl<T> <u> <diaeresis> 		: "\374"  	udiaeresis
+Ctrl<T> <quotedbl> <A>			: "\304"  	Adiaeresis
+Ctrl<T> <A> <quotedbl> 			: "\304"  	Adiaeresis
+Ctrl<T> <quotedbl> <E>			: "\313" 	Ediaeresis
+Ctrl<T> <E> <quotedbl> 			: "\313" 	Ediaeresis
+Ctrl<T> <quotedbl> <O>			: "\326"  	Odiaeresis
+Ctrl<T> <O> <quotedbl> 			: "\326"  	Odiaeresis
+Ctrl<T> <quotedbl> <U>			: "\334"  	Udiaeresis
+Ctrl<T> <U> <quotedbl> 			: "\334"  	Udiaeresis
+Ctrl<T> <quotedbl> <a>			: "\344"  	adiaeresis
+Ctrl<T> <a> <quotedbl> 			: "\344"  	adiaeresis
+Ctrl<T> <quotedbl> <e>			: "\353"  	ediaeresis
+Ctrl<T> <e> <quotedbl> 			: "\353"  	ediaeresis
+Ctrl<T> <quotedbl> <o>			: "\366"  	odiaeresis
+Ctrl<T> <o> <quotedbl> 			: "\366"  	odiaeresis
+Ctrl<T> <quotedbl> <u>			: "\374"  	udiaeresis
+Ctrl<T> <u> <quotedbl> 			: "\374"  	udiaeresis
+
+Ctrl<T> <quoteright> <A>		: "\301" 	Aacute
+Ctrl<T> <A> <quoteright> 		: "\301" 	Aacute
+Ctrl<T> <quoteright> <C>		: "\306"  	Cacute
+Ctrl<T> <C> <quoteright> 		: "\306"  	Cacute
+Ctrl<T> <quoteright> <E>		: "\311"  	Eacute
+Ctrl<T> <E>	<quoteright> 		: "\311"  	Eacute
+Ctrl<T> <quoteright> <I>		: "\315"  	Iacute
+Ctrl<T> <I>	<quoteright> 		: "\315"  	Iacute
+Ctrl<T> <quoteright> <L> 		: "\305"  	Lacute
+Ctrl<T> <L>	<quoteright> 		: "\305"  	Lacute
+Ctrl<T> <quoteright> <N>		: "\321"  	Nacute
+Ctrl<T> <N>	<quoteright> 		: "\321"  	Nacute
+Ctrl<T> <quoteright> <O>		: "\323"  	Oacute
+Ctrl<T> <O>	<quoteright> 		: "\323"  	Oacute
+Ctrl<T> <quoteright> <R>		: "\300"  	Racute
+Ctrl<T> <R>	<quoteright> 		: "\300"  	Racute
+Ctrl<T> <quoteright> <S>		: "\246"  	Sacute
+Ctrl<T> <S>	<quoteright> 		: "\246"  	Sacute
+Ctrl<T> <quoteright> <U>		: "\332"  	Uacute
+Ctrl<T> <U>	<quoteright> 		: "\332"  	Uacute
+Ctrl<T> <quoteright> <Y>		: "\335"  	Yacute
+Ctrl<T> <Y>	<quoteright> 		: "\335"  	Yacute
+Ctrl<T> <quoteright> <Z>		: "\254"  	Zacute
+Ctrl<T> <Z>	<quoteright> 		: "\254"  	Zacute
+Ctrl<T> <quoteright> <a>		: "\341"  	aacute
+Ctrl<T> <a>	<quoteright> 		: "\341"  	aacute
+Ctrl<T> <quoteright> <c>		: "\346"  	cacute
+Ctrl<T> <c>	<quoteright> 		: "\346"  	cacute
+Ctrl<T> <quoteright> <e>		: "\351"  	eacute
+Ctrl<T> <e>	<quoteright> 		: "\351"  	eacute
+Ctrl<T> <quoteright> <i>		: "\355"  	iacute
+Ctrl<T> <i>	<quoteright> 		: "\355"  	iacute
+Ctrl<T> <quoteright> <l>		: "\345"  	lacute
+Ctrl<T> <l>	<quoteright> 		: "\345"  	lacute
+Ctrl<T> <quoteright> <n>		: "\361"  	nacute
+Ctrl<T> <n>	<quoteright> 		: "\361"  	nacute
+Ctrl<T> <quoteright> <o>		: "\363"  	oacute
+Ctrl<T> <o>	<quoteright> 		: "\363"  	oacute
+Ctrl<T> <quoteright> <r>		: "\340"  	racute
+Ctrl<T> <r>	<quoteright> 		: "\340"  	racute
+Ctrl<T> <quoteright> <s>		: "\266"  	sacute
+Ctrl<T> <s>	<quoteright> 		: "\266"  	sacute
+Ctrl<T> <quoteright> <u>		: "\372"  	uacute
+Ctrl<T> <u>	<quoteright> 		: "\372"  	uacute
+Ctrl<T> <quoteright> <y>		: "\375"  	yacute
+Ctrl<T> <y>	<quoteright> 		: "\375"  	yacute
+Ctrl<T> <quoteright> <z>		: "\274"  	zacute
+Ctrl<T> <z>	<quoteright> 		: "\274"  	zacute
+Ctrl<T> <0> <asciicircum>		: "\260"	degree
+Ctrl<T> <asciicircum> <0>		: "\260"	degree
+Ctrl<T> <comma> <C>			: "\307"  	Ccedilla
+Ctrl<T> <C>	<comma> 		: "\307"  	Ccedilla
+Ctrl<T> <comma> <S>			: "\252"  	Scedilla
+Ctrl<T> <S>	<comma> 		: "\252"  	Scedilla
+Ctrl<T> <comma> <T>			: "\336"  	Tcedilla
+Ctrl<T> <T>	<comma> 		: "\336"  	Tcedilla
+Ctrl<T> <comma> <c>			: "\347"  	ccedilla
+Ctrl<T> <c>	<comma> 		: "\347"  	ccedilla
+Ctrl<T> <comma> <s>			: "\272"  	scedilla
+Ctrl<T> <s>	<comma> 		: "\272"  	scedilla
+Ctrl<T> <comma> <t>			: "\376"  	tcedilla
+Ctrl<T> <t>	<comma> 		: "\376"  	tcedilla
+Ctrl<T> <period> <period>          	: "\377"         dotaccent
+
+
+Ctrl<T> <minus> <minus>			: "\255"  	hyphen
+Ctrl<T> <minus> <colon>			: "\367"  	division
+Ctrl<T> <minus> <D>			: "\320"  	Dstroke
+Ctrl<T> <minus> <d>			: "\360"  	dstroke
+
+Ctrl<T> <0> <x>				: "\244"  	currency
+
+Ctrl<T> <asciicircum> <A>		: "\302"  	Acircumflex
+Ctrl<T> <A> <asciicircum> 		: "\302"  	Acircumflex
+Ctrl<T> <asciicircum> <I>		: "\316"  	Icircumflex
+Ctrl<T> <I> <asciicircum> 		: "\316"  	Icircumflex
+Ctrl<T> <asciicircum> <O>          	: "\324"        Ocircumflex
+Ctrl<T> <O> <asciicircum>           	: "\324"        Ocircumflex
+Ctrl<T> <asciicircum> <a>		: "\342"  	acircumflex
+Ctrl<T> <a> <asciicircum> 		: "\342"  	acircumflex
+Ctrl<T> <asciicircum> <i>		: "\356"  	icircumflex
+Ctrl<T> <i> <asciicircum> 		: "\356"  	icircumflex
+Ctrl<T> <asciicircum> <o>		: "\364"  	ocircumflex
+Ctrl<T> <o> <asciicircum> 		: "\364"  	ocircumflex
+
+
+Ctrl<T> <caron> <C>			: "\310"  	Ccaron
+Ctrl<T> <C>	<caron> 		: "\310"  	Ccaron
+Ctrl<T> <caron> <D>			: "\317"  	Dcaron
+Ctrl<T> <D>	<caron> 		: "\317"  	Dcaron
+Ctrl<T> <caron> <E>			: "\314"  	Ecaron
+Ctrl<T> <E>	<caron> 		: "\314"  	Ecaron
+Ctrl<T> <caron> <L>			: "\245"  	Lcaron
+Ctrl<T> <L>	<caron> 		: "\245"  	Lcaron
+Ctrl<T> <caron> <N>           		: "\322" 	Ncaron
+Ctrl<T> <N> <caron>           		: "\322" 	Ncaron
+Ctrl<T> <caron> <R>			: "\330"  	Rcaron
+Ctrl<T> <R>	<caron> 		: "\330"  	Rcaron
+Ctrl<T> <caron> <S>			: "\251"  	Scaron
+Ctrl<T> <S>	<caron> 		: "\251"  	Scaron
+Ctrl<T> <caron> <T>			: "\253"  	Tcaron
+Ctrl<T> <T>	<caron> 		: "\253"  	Tcaron
+Ctrl<T> <caron> <U>			: "\331"  	Uring
+Ctrl<T> <U>	<caron> 		: "\331"  	Uring
+Ctrl<T> <caron> <Z>			: "\256"  	Zcaron
+Ctrl<T> <Z>	<caron> 		: "\256"  	Zcaron
+Ctrl<T> <caron> <c>			: "\350"  	ccaron
+Ctrl<T> <c>	<caron> 		: "\350"  	ccaron
+Ctrl<T> <caron> <d>			: "\357"  	dcaron
+Ctrl<T> <d>	<caron> 		: "\357"  	dcaron
+Ctrl<T> <caron> <e>			: "\354"  	ecaron
+Ctrl<T> <e>	<caron> 		: "\354"  	ecaron
+Ctrl<T> <caron> <l>			: "\265"  	lcaron
+Ctrl<T> <l>	<caron> 		: "\265"  	lcaron
+Ctrl<T> <caron> <n>			: "\362"  	ncaron
+Ctrl<T> <n>	<caron> 		: "\362"  	ncaron
+Ctrl<T> <caron> <r>			: "\370"  	rcaron
+Ctrl<T> <r>	<caron> 		: "\370"  	rcaron
+Ctrl<T> <caron> <s>			: "\271"  	scaron
+Ctrl<T> <s>	<caron> 		: "\271"  	scaron
+Ctrl<T> <caron> <t>			: "\273"  	tcaron
+Ctrl<T> <t>	<caron> 		: "\273"  	tcaron
+Ctrl<T> <caron> <u>			: "\371"  	uring
+Ctrl<T> <u>	<caron> 		: "\371"  	uring
+Ctrl<T> <caron> <z>			: "\276"  	zcaron
+Ctrl<T> <z>	<caron> 		: "\276"  	zcaron
+Ctrl<T> <v> <C>				: "\310"  	Ccaron
+Ctrl<T> <C> <v> 			: "\310"  	Ccaron
+Ctrl<T> <v> <D>				: "\317"  	Dcaron
+Ctrl<T> <D> <v> 			: "\317"  	Dcaron
+Ctrl<T> <v> <E>				: "\314"  	Ecaron
+Ctrl<T> <E> <v> 			: "\314"  	Ecaron
+Ctrl<T> <v> <L>				: "\245"  	Lcaron
+Ctrl<T> <L> <v> 			: "\245"  	Lcaron
+Ctrl<T> <v> <N>           		: "\322" 	Ncaron
+Ctrl<T> <N> <v>           		: "\322" 	Ncaron
+Ctrl<T> <v> <R>				: "\330"  	Rcaron
+Ctrl<T> <R> <v> 			: "\330"  	Rcaron
+Ctrl<T> <v> <S>				: "\251"  	Scaron
+Ctrl<T> <S> <v> 			: "\251"  	Scaron
+Ctrl<T> <v> <T>				: "\253"  	Tcaron
+Ctrl<T> <T> <v> 			: "\253"  	Tcaron
+Ctrl<T> <v> <U>				: "\331"  	Uring
+Ctrl<T> <U> <v> 			: "\331"  	Uring
+Ctrl<T> <v> <Z>				: "\256"  	Zcaron
+Ctrl<T> <Z> <v> 			: "\256"  	Zcaron
+Ctrl<T> <v> <c>				: "\350"  	ccaron
+Ctrl<T> <c> <v> 			: "\350"  	ccaron
+Ctrl<T> <v> <d>				: "\357"  	dcaron
+Ctrl<T> <d> <v> 			: "\357"  	dcaron
+Ctrl<T> <v> <e>				: "\354"  	ecaron
+Ctrl<T> <e> <v> 			: "\354"  	ecaron
+Ctrl<T> <v> <l>				: "\265"  	lcaron
+Ctrl<T> <l> <v> 			: "\265"  	lcaron
+Ctrl<T> <v> <n>				: "\362"  	ncaron
+Ctrl<T> <n> <v> 			: "\362"  	ncaron
+Ctrl<T> <v> <r>				: "\370"  	rcaron
+Ctrl<T> <r> <v> 			: "\370"  	rcaron
+Ctrl<T> <v> <s>				: "\271"  	scaron
+Ctrl<T> <s> <v> 			: "\271"  	scaron
+Ctrl<T> <v> <t>				: "\273"  	tcaron
+Ctrl<T> <t> <v> 			: "\273"  	tcaron
+Ctrl<T> <v> <u>				: "\371"  	uring
+Ctrl<T> <u> <v> 			: "\371"  	uring
+Ctrl<T> <v> <z>				: "\276"  	zcaron
+Ctrl<T> <z> <v> 			: "\276"  	zcaron
+
+Ctrl<T> <breve> <A>			: "\303"  	Abreve
+Ctrl<T> <A>	<breve> 		: "\303"  	Abreve
+Ctrl<T> <breve> <a>			: "\343"  	abreve
+Ctrl<T> <a>	<breve> 		: "\343"  	abreve
+Ctrl<T> <u> <A>				: "\303"  	Abreve
+Ctrl<T> <A> <u> 			: "\303"  	Abreve
+Ctrl<T> <u> <a>				: "\343"  	abreve
+Ctrl<T> <a> <u> 			: "\343"  	abreve
+
+
+
+Ctrl<T> <ogonek> <A>			: "\241"  	Aogonek
+Ctrl<T> <A> <ogonek> 			: "\241"  	Aogonek
+Ctrl<T> <ogonek> <E>			: "\312"  	Eogonek
+Ctrl<T> <E> <ogonek> 			: "\312"  	Eogonek
+Ctrl<T> <ogonek> <a> 			: "\261"  	aogonek
+Ctrl<T> <a> <ogonek> 			: "\261"  	aogonek
+Ctrl<T> <ogonek> <e> 			: "\352"  	eogonek
+Ctrl<T> <e> <ogonek> 			: "\352"  	eogonek
+Ctrl<T> <a> <A>				: "\241"  	Aogonek
+Ctrl<T> <A> <a> 			: "\241"  	Aogonek
+Ctrl<T> <a> <E>				: "\312"  	Eogonek
+Ctrl<T> <E> <a> 			: "\312"  	Eogonek
+Ctrl<T> <a> <a> 			: "\261"  	aogonek
+Ctrl<T> <a> <e> 			: "\352"  	eogonek
+Ctrl<T> <e> <a> 			: "\352"  	eogonek
+
+
+
+Ctrl<T> <O> <S>				: "\247"        section
+
+Ctrl<T> <doubleacute> <O>		: "\325"  	Odoubleacute
+Ctrl<T> <O> <doubleacute> 		: "\325"  	Odoubleacute
+Ctrl<T> <doubleacute> <U>		: "\333"  	Udoubleacute
+Ctrl<T> <U> <doubleacute> 		: "\333"  	Udoubleacute
+Ctrl<T> <doubleacute> <o>		: "\365"  	odoubleacute
+Ctrl<T> <o> <doubleacute> 		: "\365"  	odoubleacute
+Ctrl<T> <doubleacute> <u>		: "\373"  	udoubleacute
+Ctrl<T> <u> <doubleacute> 		: "\373"  	udoubleacute
+Ctrl<T> <greater> <O>			: "\325"  	Odoubleacute
+Ctrl<T> <O> <greater> 			: "\325"  	Odoubleacute
+Ctrl<T> <greater> <U>			: "\333"  	Udoubleacute
+Ctrl<T> <U> <greater> 			: "\333"  	Udoubleacute
+Ctrl<T> <greater> <o>			: "\365"  	odoubleacute
+Ctrl<T> <o> <greater> 			: "\365"  	odoubleacute
+
+
+Ctrl<T> <period> <U>			: "\331"  	Uring
+Ctrl<T> <U> <period> 			: "\331"  	Uring
+Ctrl<T> <period> <u>			: "\371"  	uring
+Ctrl<T> <u> <period> 			: "\371"  	uring
+Ctrl<T> <period> <z>			: "\277"  	zabovedot
+Ctrl<T> <z> <period> 			: "\277"  	zabovedot
+Ctrl<T> <period> <Z>			: "\257"  	Zabovedot
+Ctrl<T> <Z> <period> 			: "\257"  	Zabovedot
+
+
+Ctrl<T> <s> <s>				: "\337"  	ssharp
+Ctrl<T> <x> <x>				: "\327"  	multiply
+
+XCOMM EndComposeMap
+
+
+XCOMM StartDeadKeyMap <quoteright>
+XCOMM<SunFA_Acute>			<quoteright>
+<SunFA_Acute> <A>		  	: "\301"	Aacute
+<SunFA_Acute> <C>		  	: "\306"	Cacute
+<SunFA_Acute> <E>		  	: "\311"	Eacute
+<SunFA_Acute> <I>		  	: "\315"	Iacute
+<SunFA_Acute> <L>		  	: "\305"	Lacute
+<SunFA_Acute> <N>		  	: "\321"	Nacute
+<SunFA_Acute> <O>		  	: "\323"	Oacute
+<SunFA_Acute> <R>		  	: "\300"	Racute
+<SunFA_Acute> <S>		  	: "\246"	Sacute
+<SunFA_Acute> <U>		  	: "\332"	Uacute
+<SunFA_Acute> <Y>		  	: "\335"	Yacute
+<SunFA_Acute> <Z>		  	: "\254"	Zacute
+<SunFA_Acute> <a>		  	: "\341"	aacute
+<SunFA_Acute> <c>		  	: "\346"	cacute
+<SunFA_Acute> <e>		  	: "\351"	eacute
+<SunFA_Acute> <i>		  	: "\355"	iacute
+<SunFA_Acute> <l>		  	: "\345"	lacute
+<SunFA_Acute> <n>		  	: "\361"	nacute
+<SunFA_Acute> <o>		  	: "\363"	oacute
+<SunFA_Acute> <r>		  	: "\340"	racute
+<SunFA_Acute> <s>		  	: "\266"	sacute
+<SunFA_Acute> <u>		  	: "\372"	uacute
+<SunFA_Acute> <y>		  	: "\375"	yacute
+<SunFA_Acute> <z>		  	: "\274"	zacute
+XCOMM EndDeadKeyMap
+
+
+XCOMM StartDeadKeyMap <diaeresis>
+XCOMM<SunFA_Diaeresis> 		  <diaeresis>
+<SunFA_Diaeresis> <A>		  : "\304" 	Adiaeresis
+<SunFA_Diaeresis> <E>		  : "\313"	Ediaeresis
+<SunFA_Diaeresis> <O>		  : "\326"	Odiaeresis
+<SunFA_Diaeresis> <U>		  : "\334"	Udiaeresis
+<SunFA_Diaeresis> <a>	 	  : "\344" 	adiaeresis
+<SunFA_Diaeresis> <e>		  : "\353"	ediaeresis
+<SunFA_Diaeresis> <o>		  : "\366"	odiaeresis
+<SunFA_Diaeresis> <u>		  : "\374"	udiaeresis
+XCOMM EndDeadKeyMap
+
+
+XCOMM StartDeadKeyMap <circumflex>
+XCOMM<SunXK_FA_Circum>                <circumflex>
+<SunXK_FA_Circum> <A>			: "\302"        Acircumflex
+<SunXK_FA_Circum> <I>			: "\316"        Icircumflex
+<SunXK_FA_Circum> <O>			: "\324"        Ocircumflex
+<SunXK_FA_Circum> <a>			: "\342"        acircumflex
+<SunXK_FA_Circum> <i>			: "\356"        icircumflex
+<SunXK_FA_Circum> <o>			: "\364"        ocircumflex
+
+XCOMM StartDeadKeyMap <cedilla>
+XCOMM SunXK_FA_Cedilla		 <cedilla>
+<SunXK_FA_Cedilla> <C>			: "\307"	Ccedilla
+<SunXK_FA_Cedilla> <S>                  : "\252"        Scedilla
+<SunXK_FA_Cedilla> <T>                  : "\336"        Tcedilla
+<SunXK_FA_Cedilla> <c>                  : "\347"        ccedilla
+<SunXK_FA_Cedilla> <s>                  : "\272"        scedilla
+<SunXK_FA_Cedilla> <t>                  : "\376"        tcedilla
